<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<p style="display: none">
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Architecto asperiores blanditiis consequatur cum eos error et exercitationem explicabo id, impedit ipsam iure modi odit quas quod quos, sapiente soluta vel. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ab aliquid at dicta dignissimos expedita explicabo facilis harum id inventore maiores nam omnis possimus ratione, reiciendis repellendus sequi sint unde voluptate!
</p>
<!--<button>click me</button>-->
<div class="outer" style='padding:10px; margin:10px; background: #0A162F'>
    <div class="inner" style="padding: 0 20px; color: #ccffad">
        <div class="item" style="position:absolute;top:5px;color: #0d7fbe"></div>
    </div>
</div>
<div class="flex-container" style="width:500px; height:40px; display: flex;">
    <div class="item" style="flex:1 0 100px; border:1px solid black; box-sizing:border-box;background-color: red"></div>
    <div class="item" style="flex:1 0 100px border:1px solid black; box-sizing:border-box;background-color: red"></div>
    <div class="item" style="flex: 1 0 100px border:1px solid black; box-sizing:border-box;background-color: red"></div>
    <div class="item" style="flex:2 0 100px border:1px solid black; box-sizing:border-box;background-color: red"></div>
</div>
<div style="float: left; width:100px; height:100px; background: blue"></div>
<div style="width:100px; height:100px; background: green"></div>

<style>.item {background-color: blue !important;} #item {background-color: green;}</style>
<div class="item" id="item" style="background-color: red"></div>
<div id="div">текст</div>
<script>
    div.insertAdjacentHTML('beforeBegin', '<p>Привет</p>');
    div.insertAdjacentHTML('afterEnd', '<p>Пока</p>');
</script>
<script src="../jquery-3.6.0.min.js"></script>
<script src="./js/main.js"></script>
</body>
</html>